
Redmine - Defect #14883

Update activerecord-jdbc-adapter

2013-09-12 03:42 - Daniel Morgan

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 2.3.4   

Resolution: Fixed Affected version:  

Description

When using redmine under JRuby, the bundler installs activerecord-jdbc-adapter 1.2.5 specified by the Gemfile.

There are some serious issues with this version when using JRuby in Ruby 1.9 mode such as:

https://github.com/jruby/activerecord-jdbc-adapter/issues/229

Can redmine be updated to use a more recent gem version?

(The above issue has been fixed in 1.2.6)

Related issues:

Related to Redmine - Defect #14656: JRuby: Encoding error when creating issues Closed

Associated revisions

Revision 12172 - 2013-09-30 01:52 - Toshi MARUYAMA

Gemfile: update jdbc adapter version above 1.2.6 (#14883)

Revision 12174 - 2013-09-30 02:36 - Toshi MARUYAMA

Merged r12172 from trunk to 2.3-stable (#14883)

Gemfile: update jdbc adapter version above 1.2.6.

Revision 12175 - 2013-09-30 04:01 - Toshi MARUYAMA

Gemfile: update jdbc adapter version above 1.3.0 (#14883)

Revision 12179 - 2013-09-30 05:25 - Toshi MARUYAMA

revert r12175 (#14883)

revert jdbc adapter version to above 1.2.6

due to test failure by "stack level too deep".

History

#1 - 2013-09-23 03:44 - Toshi MARUYAMA

- Related to Defect #14656: JRuby: Encoding error when creating issues added

#2 - 2013-09-23 03:44 - Toshi MARUYAMA

- Target version set to 2.3.4

#3 - 2013-09-30 01:53 - Toshi MARUYAMA

- Tracker changed from Feature to Defect

#4 - 2013-09-30 05:27 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Updated jdbc adapter version above 1.2.6 in Gemfile by trunk r12172 and 2.3-stable r12174.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://github.com/jruby/activerecord-jdbc-adapter/issues/229
https://www.redmine.org/projects/redmine/repository/svn/revisions/12172
https://www.redmine.org/projects/redmine/repository/svn/revisions/12174
http://www.tcpdf.org

